// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Autotools {
    
    
    public partial class MakefileOptionPanelWidget {
        
        private Gtk.Notebook notebook1;
        
        private Gtk.VBox vbox1;
        
        private Gtk.CheckButton cbEnableMakefileIntegration;
        
        private Gtk.HSeparator headerSep1;
        
        private Gtk.Table table1;
        
        private Gtk.CheckButton cbBuildTarget;
        
        private Gtk.CheckButton cbCleanTarget;
        
        private Gtk.CheckButton cbRunTarget;
        
        private MonoDevelop.Components.FileEntry fileEntryMakefilePath;
        
        private Gtk.HBox hbox1;
        
        private Gtk.ComboBox comboAssemblyName;
        
        private Gtk.HBox hbox2;
        
        private Gtk.ComboBox comboOutputDir;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Entry BuildTargetName;
        
        private Gtk.HBox hbox4;
        
        private Gtk.Entry ExecuteTargetName;
        
        private Gtk.HBox hbox5;
        
        private Gtk.Entry CleanTargetName;
        
        private Gtk.HSeparator headerSep2;
        
        private Gtk.Label label8;
        
        private Gtk.Label lblAssemblyNameVar;
        
        private Gtk.Label lblMakefileName;
        
        private Gtk.Label lblOutputDirVar;
        
        private Gtk.Label label1;
        
        private Gtk.VBox vbox2;
        
        private Gtk.CheckButton cbFileSync;
        
        private Gtk.HSeparator hseparator2;
        
        private Gtk.Table table3;
        
        private Gtk.CheckButton cbKeepDeployFilesSync;
        
        private Gtk.CheckButton cbKeepFilesSync;
        
        private Gtk.CheckButton cbKeepOthersSync;
        
        private Gtk.CheckButton cbKeepResourcesSync;
        
        private Gtk.ComboBox comboDeployFilesVar;
        
        private Gtk.ComboBox comboFilesVar;
        
        private Gtk.ComboBox comboOthersVar;
        
        private Gtk.ComboBox comboResourcesVar;
        
        private Gtk.Entry entryDeployFilesPattern;
        
        private Gtk.Entry entryFilesPattern;
        
        private Gtk.Entry entryResourcesPattern;
        
        private Gtk.EventBox eventbox1;
        
        private Gtk.Entry entryOthersPattern;
        
        private Gtk.Label label5;
        
        private Gtk.Label lblCol2;
        
        private Gtk.Label lblCol3;
        
        private Gtk.Label label2;
        
        private Gtk.VBox vbox4;
        
        private Gtk.CheckButton cbKeepRefSync;
        
        private Gtk.HSeparator hseparator5;
        
        private Gtk.Table table4;
        
        private Gtk.CheckButton cbAutotoolsProject;
        
        private Gtk.ComboBox comboAsmRefVar;
        
        private Gtk.ComboBox comboGacRefVar;
        
        private Gtk.ComboBox comboProjectRefVar;
        
        private Gtk.Entry entryAsmRefPattern;
        
        private Gtk.Entry entryGacRefPattern;
        
        private Gtk.Entry entryProjectRefPattern;
        
        private MonoDevelop.Components.FolderEntry fileEntryConfigureInPath;
        
        private Gtk.HSeparator hseparator1;
        
        private Gtk.Label label6;
        
        private Gtk.Label lblAsmRef;
        
        private Gtk.Label lblCol5;
        
        private Gtk.Label lblCol6;
        
        private Gtk.Label lblConfigureInPath;
        
        private Gtk.Label lblGacRef;
        
        private Gtk.Label lblProjectRef;
        
        private Gtk.Label label3;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Label label7;
        
        private Gtk.Table table2;
        
        private Gtk.Entry entryErrorRegex;
        
        private Gtk.Entry entryWarningRegex;
        
        private Gtk.HBox hbox6;
        
        private Gtk.ComboBox comboMessageType;
        
        private Gtk.Label lblErrorRegex;
        
        private Gtk.Label lblMessageType;
        
        private Gtk.Label lblWarningRegex;
        
        private Gtk.Label label4;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Autotools.MakefileOptionPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "MonoDevelop.Autotools.MakefileOptionPanelWidget";
            // Container child MonoDevelop.Autotools.MakefileOptionPanelWidget.Gtk.Container+ContainerChild
            this.notebook1 = new Gtk.Notebook();
            this.notebook1.CanFocus = true;
            this.notebook1.Name = "notebook1";
            this.notebook1.CurrentPage = 0;
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            this.vbox1.BorderWidth = ((uint)(6));
            // Container child vbox1.Gtk.Box+BoxChild
            this.cbEnableMakefileIntegration = new Gtk.CheckButton();
            this.cbEnableMakefileIntegration.CanFocus = true;
            this.cbEnableMakefileIntegration.Name = "cbEnableMakefileIntegration";
            this.cbEnableMakefileIntegration.Label = Mono.Unix.Catalog.GetString("Enable makefile Integration in this project");
            this.cbEnableMakefileIntegration.DrawIndicator = true;
            this.vbox1.Add(this.cbEnableMakefileIntegration);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox1[this.cbEnableMakefileIntegration]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.headerSep1 = new Gtk.HSeparator();
            this.headerSep1.Name = "headerSep1";
            this.vbox1.Add(this.headerSep1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox1[this.headerSep1]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.table1 = new Gtk.Table(((uint)(8)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.cbBuildTarget = new Gtk.CheckButton();
            this.cbBuildTarget.CanFocus = true;
            this.cbBuildTarget.Name = "cbBuildTarget";
            this.cbBuildTarget.Label = Mono.Unix.Catalog.GetString("Build target name:");
            this.cbBuildTarget.DrawIndicator = true;
            this.cbBuildTarget.UseUnderline = true;
            this.table1.Add(this.cbBuildTarget);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table1[this.cbBuildTarget]));
            w3.TopAttach = ((uint)(3));
            w3.BottomAttach = ((uint)(4));
            w3.XOptions = ((Gtk.AttachOptions)(4));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.cbCleanTarget = new Gtk.CheckButton();
            this.cbCleanTarget.CanFocus = true;
            this.cbCleanTarget.Name = "cbCleanTarget";
            this.cbCleanTarget.Label = Mono.Unix.Catalog.GetString("Clean target name:");
            this.cbCleanTarget.DrawIndicator = true;
            this.cbCleanTarget.UseUnderline = true;
            this.table1.Add(this.cbCleanTarget);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table1[this.cbCleanTarget]));
            w4.TopAttach = ((uint)(4));
            w4.BottomAttach = ((uint)(5));
            w4.XOptions = ((Gtk.AttachOptions)(4));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.cbRunTarget = new Gtk.CheckButton();
            this.cbRunTarget.CanFocus = true;
            this.cbRunTarget.Name = "cbRunTarget";
            this.cbRunTarget.Label = Mono.Unix.Catalog.GetString("Execute target name:");
            this.cbRunTarget.DrawIndicator = true;
            this.cbRunTarget.UseUnderline = true;
            this.table1.Add(this.cbRunTarget);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table1[this.cbRunTarget]));
            w5.TopAttach = ((uint)(5));
            w5.BottomAttach = ((uint)(6));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.fileEntryMakefilePath = new MonoDevelop.Components.FileEntry();
            this.fileEntryMakefilePath.CanFocus = true;
            this.fileEntryMakefilePath.Name = "fileEntryMakefilePath";
            this.fileEntryMakefilePath.BrowserTitle = "";
            this.table1.Add(this.fileEntryMakefilePath);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table1[this.fileEntryMakefilePath]));
            w6.LeftAttach = ((uint)(1));
            w6.RightAttach = ((uint)(2));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            // Container child hbox1.Gtk.Box+BoxChild
            this.comboAssemblyName = Gtk.ComboBox.NewText();
            this.comboAssemblyName.WidthRequest = 300;
            this.comboAssemblyName.Name = "comboAssemblyName";
            this.hbox1.Add(this.comboAssemblyName);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox1[this.comboAssemblyName]));
            w7.Position = 0;
            w7.Expand = false;
            w7.Fill = false;
            this.table1.Add(this.hbox1);
            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.table1[this.hbox1]));
            w8.TopAttach = ((uint)(6));
            w8.BottomAttach = ((uint)(7));
            w8.LeftAttach = ((uint)(1));
            w8.RightAttach = ((uint)(2));
            w8.XOptions = ((Gtk.AttachOptions)(4));
            w8.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            // Container child hbox2.Gtk.Box+BoxChild
            this.comboOutputDir = Gtk.ComboBox.NewText();
            this.comboOutputDir.WidthRequest = 300;
            this.comboOutputDir.Name = "comboOutputDir";
            this.hbox2.Add(this.comboOutputDir);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox2[this.comboOutputDir]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            this.table1.Add(this.hbox2);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table1[this.hbox2]));
            w10.TopAttach = ((uint)(7));
            w10.BottomAttach = ((uint)(8));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.XOptions = ((Gtk.AttachOptions)(4));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            // Container child hbox3.Gtk.Box+BoxChild
            this.BuildTargetName = new Gtk.Entry();
            this.BuildTargetName.WidthRequest = 200;
            this.BuildTargetName.CanFocus = true;
            this.BuildTargetName.Name = "BuildTargetName";
            this.BuildTargetName.IsEditable = true;
            this.BuildTargetName.InvisibleChar = '●';
            this.hbox3.Add(this.BuildTargetName);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox3[this.BuildTargetName]));
            w11.Position = 0;
            w11.Expand = false;
            w11.Fill = false;
            this.table1.Add(this.hbox3);
            Gtk.Table.TableChild w12 = ((Gtk.Table.TableChild)(this.table1[this.hbox3]));
            w12.TopAttach = ((uint)(3));
            w12.BottomAttach = ((uint)(4));
            w12.LeftAttach = ((uint)(1));
            w12.RightAttach = ((uint)(2));
            w12.XOptions = ((Gtk.AttachOptions)(4));
            w12.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            // Container child hbox4.Gtk.Box+BoxChild
            this.ExecuteTargetName = new Gtk.Entry();
            this.ExecuteTargetName.WidthRequest = 200;
            this.ExecuteTargetName.CanFocus = true;
            this.ExecuteTargetName.Name = "ExecuteTargetName";
            this.ExecuteTargetName.IsEditable = true;
            this.ExecuteTargetName.InvisibleChar = '●';
            this.hbox4.Add(this.ExecuteTargetName);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox4[this.ExecuteTargetName]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            this.table1.Add(this.hbox4);
            Gtk.Table.TableChild w14 = ((Gtk.Table.TableChild)(this.table1[this.hbox4]));
            w14.TopAttach = ((uint)(5));
            w14.BottomAttach = ((uint)(6));
            w14.LeftAttach = ((uint)(1));
            w14.RightAttach = ((uint)(2));
            w14.XOptions = ((Gtk.AttachOptions)(4));
            w14.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox5 = new Gtk.HBox();
            this.hbox5.Name = "hbox5";
            // Container child hbox5.Gtk.Box+BoxChild
            this.CleanTargetName = new Gtk.Entry();
            this.CleanTargetName.WidthRequest = 200;
            this.CleanTargetName.CanFocus = true;
            this.CleanTargetName.Name = "CleanTargetName";
            this.CleanTargetName.IsEditable = true;
            this.CleanTargetName.InvisibleChar = '●';
            this.hbox5.Add(this.CleanTargetName);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.hbox5[this.CleanTargetName]));
            w15.Position = 0;
            w15.Expand = false;
            w15.Fill = false;
            this.table1.Add(this.hbox5);
            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.table1[this.hbox5]));
            w16.TopAttach = ((uint)(4));
            w16.BottomAttach = ((uint)(5));
            w16.LeftAttach = ((uint)(1));
            w16.RightAttach = ((uint)(2));
            w16.XOptions = ((Gtk.AttachOptions)(4));
            w16.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.headerSep2 = new Gtk.HSeparator();
            this.headerSep2.Name = "headerSep2";
            this.table1.Add(this.headerSep2);
            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.table1[this.headerSep2]));
            w17.TopAttach = ((uint)(1));
            w17.BottomAttach = ((uint)(2));
            w17.RightAttach = ((uint)(2));
            w17.XOptions = ((Gtk.AttachOptions)(4));
            w17.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label8 = new Gtk.Label();
            this.label8.WidthRequest = 500;
            this.label8.Name = "label8";
            this.label8.Xalign = 0F;
            this.label8.LabelProp = Mono.Unix.Catalog.GetString("Select the makefile targets that should be executed for the build and clean operations:");
            this.label8.Wrap = true;
            this.table1.Add(this.label8);
            Gtk.Table.TableChild w18 = ((Gtk.Table.TableChild)(this.table1[this.label8]));
            w18.TopAttach = ((uint)(2));
            w18.BottomAttach = ((uint)(3));
            w18.RightAttach = ((uint)(2));
            w18.XOptions = ((Gtk.AttachOptions)(4));
            w18.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.lblAssemblyNameVar = new Gtk.Label();
            this.lblAssemblyNameVar.Name = "lblAssemblyNameVar";
            this.lblAssemblyNameVar.Xalign = 0F;
            this.lblAssemblyNameVar.LabelProp = Mono.Unix.Catalog.GetString("Assembly Name variable:");
            this.table1.Add(this.lblAssemblyNameVar);
            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.table1[this.lblAssemblyNameVar]));
            w19.TopAttach = ((uint)(6));
            w19.BottomAttach = ((uint)(7));
            w19.XOptions = ((Gtk.AttachOptions)(4));
            w19.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.lblMakefileName = new Gtk.Label();
            this.lblMakefileName.Name = "lblMakefileName";
            this.lblMakefileName.Xalign = 0F;
            this.lblMakefileName.LabelProp = Mono.Unix.Catalog.GetString("Makefile path:");
            this.table1.Add(this.lblMakefileName);
            Gtk.Table.TableChild w20 = ((Gtk.Table.TableChild)(this.table1[this.lblMakefileName]));
            w20.XOptions = ((Gtk.AttachOptions)(4));
            w20.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.lblOutputDirVar = new Gtk.Label();
            this.lblOutputDirVar.Name = "lblOutputDirVar";
            this.lblOutputDirVar.Xalign = 0F;
            this.lblOutputDirVar.LabelProp = Mono.Unix.Catalog.GetString("Output directory variable:");
            this.table1.Add(this.lblOutputDirVar);
            Gtk.Table.TableChild w21 = ((Gtk.Table.TableChild)(this.table1[this.lblOutputDirVar]));
            w21.TopAttach = ((uint)(7));
            w21.BottomAttach = ((uint)(8));
            w21.XOptions = ((Gtk.AttachOptions)(4));
            w21.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox1.Add(this.table1);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.vbox1[this.table1]));
            w22.Position = 2;
            w22.Expand = false;
            w22.Fill = false;
            this.notebook1.Add(this.vbox1);
            // Notebook tab
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Makefile");
            this.notebook1.SetTabLabel(this.vbox1, this.label1);
            this.label1.ShowAll();
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            this.vbox2.BorderWidth = ((uint)(6));
            // Container child vbox2.Gtk.Box+BoxChild
            this.cbFileSync = new Gtk.CheckButton();
            this.cbFileSync.CanFocus = true;
            this.cbFileSync.Name = "cbFileSync";
            this.cbFileSync.Label = Mono.Unix.Catalog.GetString("Enable project file synchronization");
            this.cbFileSync.DrawIndicator = true;
            this.cbFileSync.UseUnderline = true;
            this.vbox2.Add(this.cbFileSync);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.vbox2[this.cbFileSync]));
            w24.Position = 0;
            w24.Expand = false;
            w24.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hseparator2 = new Gtk.HSeparator();
            this.hseparator2.Name = "hseparator2";
            this.vbox2.Add(this.hseparator2);
            Gtk.Box.BoxChild w25 = ((Gtk.Box.BoxChild)(this.vbox2[this.hseparator2]));
            w25.Position = 1;
            w25.Expand = false;
            w25.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.table3 = new Gtk.Table(((uint)(6)), ((uint)(3)), false);
            this.table3.Name = "table3";
            this.table3.RowSpacing = ((uint)(6));
            this.table3.ColumnSpacing = ((uint)(6));
            // Container child table3.Gtk.Table+TableChild
            this.cbKeepDeployFilesSync = new Gtk.CheckButton();
            this.cbKeepDeployFilesSync.CanFocus = true;
            this.cbKeepDeployFilesSync.Name = "cbKeepDeployFilesSync";
            this.cbKeepDeployFilesSync.Label = Mono.Unix.Catalog.GetString("Deployment files");
            this.cbKeepDeployFilesSync.DrawIndicator = true;
            this.table3.Add(this.cbKeepDeployFilesSync);
            Gtk.Table.TableChild w26 = ((Gtk.Table.TableChild)(this.table3[this.cbKeepDeployFilesSync]));
            w26.TopAttach = ((uint)(4));
            w26.BottomAttach = ((uint)(5));
            w26.XOptions = ((Gtk.AttachOptions)(4));
            w26.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.cbKeepFilesSync = new Gtk.CheckButton();
            this.cbKeepFilesSync.CanFocus = true;
            this.cbKeepFilesSync.Name = "cbKeepFilesSync";
            this.cbKeepFilesSync.Label = Mono.Unix.Catalog.GetString("Source code files");
            this.cbKeepFilesSync.DrawIndicator = true;
            this.table3.Add(this.cbKeepFilesSync);
            Gtk.Table.TableChild w27 = ((Gtk.Table.TableChild)(this.table3[this.cbKeepFilesSync]));
            w27.TopAttach = ((uint)(2));
            w27.BottomAttach = ((uint)(3));
            w27.XOptions = ((Gtk.AttachOptions)(4));
            w27.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.cbKeepOthersSync = new Gtk.CheckButton();
            this.cbKeepOthersSync.CanFocus = true;
            this.cbKeepOthersSync.Name = "cbKeepOthersSync";
            this.cbKeepOthersSync.Label = Mono.Unix.Catalog.GetString("Other Files");
            this.cbKeepOthersSync.DrawIndicator = true;
            this.table3.Add(this.cbKeepOthersSync);
            Gtk.Table.TableChild w28 = ((Gtk.Table.TableChild)(this.table3[this.cbKeepOthersSync]));
            w28.TopAttach = ((uint)(5));
            w28.BottomAttach = ((uint)(6));
            w28.XOptions = ((Gtk.AttachOptions)(4));
            w28.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.cbKeepResourcesSync = new Gtk.CheckButton();
            this.cbKeepResourcesSync.CanFocus = true;
            this.cbKeepResourcesSync.Name = "cbKeepResourcesSync";
            this.cbKeepResourcesSync.Label = Mono.Unix.Catalog.GetString("Resources");
            this.cbKeepResourcesSync.DrawIndicator = true;
            this.table3.Add(this.cbKeepResourcesSync);
            Gtk.Table.TableChild w29 = ((Gtk.Table.TableChild)(this.table3[this.cbKeepResourcesSync]));
            w29.TopAttach = ((uint)(3));
            w29.BottomAttach = ((uint)(4));
            w29.XOptions = ((Gtk.AttachOptions)(4));
            w29.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.comboDeployFilesVar = Gtk.ComboBox.NewText();
            this.comboDeployFilesVar.WidthRequest = 200;
            this.comboDeployFilesVar.Name = "comboDeployFilesVar";
            this.table3.Add(this.comboDeployFilesVar);
            Gtk.Table.TableChild w30 = ((Gtk.Table.TableChild)(this.table3[this.comboDeployFilesVar]));
            w30.TopAttach = ((uint)(4));
            w30.BottomAttach = ((uint)(5));
            w30.LeftAttach = ((uint)(1));
            w30.RightAttach = ((uint)(2));
            w30.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.comboFilesVar = Gtk.ComboBox.NewText();
            this.comboFilesVar.WidthRequest = 200;
            this.comboFilesVar.Name = "comboFilesVar";
            this.table3.Add(this.comboFilesVar);
            Gtk.Table.TableChild w31 = ((Gtk.Table.TableChild)(this.table3[this.comboFilesVar]));
            w31.TopAttach = ((uint)(2));
            w31.BottomAttach = ((uint)(3));
            w31.LeftAttach = ((uint)(1));
            w31.RightAttach = ((uint)(2));
            w31.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.comboOthersVar = Gtk.ComboBox.NewText();
            this.comboOthersVar.WidthRequest = 200;
            this.comboOthersVar.Name = "comboOthersVar";
            this.table3.Add(this.comboOthersVar);
            Gtk.Table.TableChild w32 = ((Gtk.Table.TableChild)(this.table3[this.comboOthersVar]));
            w32.TopAttach = ((uint)(5));
            w32.BottomAttach = ((uint)(6));
            w32.LeftAttach = ((uint)(1));
            w32.RightAttach = ((uint)(2));
            w32.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.comboResourcesVar = Gtk.ComboBox.NewText();
            this.comboResourcesVar.WidthRequest = 200;
            this.comboResourcesVar.Name = "comboResourcesVar";
            this.table3.Add(this.comboResourcesVar);
            Gtk.Table.TableChild w33 = ((Gtk.Table.TableChild)(this.table3[this.comboResourcesVar]));
            w33.TopAttach = ((uint)(3));
            w33.BottomAttach = ((uint)(4));
            w33.LeftAttach = ((uint)(1));
            w33.RightAttach = ((uint)(2));
            w33.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.entryDeployFilesPattern = new Gtk.Entry();
            this.entryDeployFilesPattern.CanFocus = true;
            this.entryDeployFilesPattern.Name = "entryDeployFilesPattern";
            this.entryDeployFilesPattern.IsEditable = true;
            this.entryDeployFilesPattern.InvisibleChar = '●';
            this.table3.Add(this.entryDeployFilesPattern);
            Gtk.Table.TableChild w34 = ((Gtk.Table.TableChild)(this.table3[this.entryDeployFilesPattern]));
            w34.TopAttach = ((uint)(4));
            w34.BottomAttach = ((uint)(5));
            w34.LeftAttach = ((uint)(2));
            w34.RightAttach = ((uint)(3));
            w34.XOptions = ((Gtk.AttachOptions)(4));
            w34.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.entryFilesPattern = new Gtk.Entry();
            this.entryFilesPattern.CanFocus = true;
            this.entryFilesPattern.Name = "entryFilesPattern";
            this.entryFilesPattern.IsEditable = true;
            this.entryFilesPattern.InvisibleChar = '●';
            this.table3.Add(this.entryFilesPattern);
            Gtk.Table.TableChild w35 = ((Gtk.Table.TableChild)(this.table3[this.entryFilesPattern]));
            w35.TopAttach = ((uint)(2));
            w35.BottomAttach = ((uint)(3));
            w35.LeftAttach = ((uint)(2));
            w35.RightAttach = ((uint)(3));
            w35.XOptions = ((Gtk.AttachOptions)(4));
            w35.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.entryResourcesPattern = new Gtk.Entry();
            this.entryResourcesPattern.CanFocus = true;
            this.entryResourcesPattern.Name = "entryResourcesPattern";
            this.entryResourcesPattern.IsEditable = true;
            this.entryResourcesPattern.InvisibleChar = '●';
            this.table3.Add(this.entryResourcesPattern);
            Gtk.Table.TableChild w36 = ((Gtk.Table.TableChild)(this.table3[this.entryResourcesPattern]));
            w36.TopAttach = ((uint)(3));
            w36.BottomAttach = ((uint)(4));
            w36.LeftAttach = ((uint)(2));
            w36.RightAttach = ((uint)(3));
            w36.XOptions = ((Gtk.AttachOptions)(4));
            w36.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.eventbox1 = new Gtk.EventBox();
            this.eventbox1.Name = "eventbox1";
            // Container child eventbox1.Gtk.Container+ContainerChild
            this.entryOthersPattern = new Gtk.Entry();
            this.entryOthersPattern.CanFocus = true;
            this.entryOthersPattern.Name = "entryOthersPattern";
            this.entryOthersPattern.IsEditable = true;
            this.entryOthersPattern.InvisibleChar = '●';
            this.eventbox1.Add(this.entryOthersPattern);
            this.table3.Add(this.eventbox1);
            Gtk.Table.TableChild w38 = ((Gtk.Table.TableChild)(this.table3[this.eventbox1]));
            w38.TopAttach = ((uint)(5));
            w38.BottomAttach = ((uint)(6));
            w38.LeftAttach = ((uint)(2));
            w38.RightAttach = ((uint)(3));
            w38.XOptions = ((Gtk.AttachOptions)(4));
            w38.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.label5 = new Gtk.Label();
            this.label5.WidthRequest = 500;
            this.label5.Name = "label5";
            this.label5.Xalign = 0F;
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Select the kind of files you want to synchronize with the makefile. For each file kind please specify the makefile variable that holds the list and optionally a prefix to be prepended to each file name.");
            this.label5.Wrap = true;
            this.table3.Add(this.label5);
            Gtk.Table.TableChild w39 = ((Gtk.Table.TableChild)(this.table3[this.label5]));
            w39.RightAttach = ((uint)(3));
            w39.YPadding = ((uint)(9));
            w39.XOptions = ((Gtk.AttachOptions)(4));
            w39.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.lblCol2 = new Gtk.Label();
            this.lblCol2.Name = "lblCol2";
            this.lblCol2.Xalign = 0F;
            this.lblCol2.LabelProp = Mono.Unix.Catalog.GetString("Makefile variable name:");
            this.table3.Add(this.lblCol2);
            Gtk.Table.TableChild w40 = ((Gtk.Table.TableChild)(this.table3[this.lblCol2]));
            w40.TopAttach = ((uint)(1));
            w40.BottomAttach = ((uint)(2));
            w40.LeftAttach = ((uint)(1));
            w40.RightAttach = ((uint)(2));
            w40.XOptions = ((Gtk.AttachOptions)(4));
            w40.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.lblCol3 = new Gtk.Label();
            this.lblCol3.Name = "lblCol3";
            this.lblCol3.Xalign = 0F;
            this.lblCol3.LabelProp = Mono.Unix.Catalog.GetString("Prefix:");
            this.table3.Add(this.lblCol3);
            Gtk.Table.TableChild w41 = ((Gtk.Table.TableChild)(this.table3[this.lblCol3]));
            w41.TopAttach = ((uint)(1));
            w41.BottomAttach = ((uint)(2));
            w41.LeftAttach = ((uint)(2));
            w41.RightAttach = ((uint)(3));
            w41.XOptions = ((Gtk.AttachOptions)(4));
            w41.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox2.Add(this.table3);
            Gtk.Box.BoxChild w42 = ((Gtk.Box.BoxChild)(this.vbox2[this.table3]));
            w42.Position = 2;
            w42.Expand = false;
            w42.Fill = false;
            this.notebook1.Add(this.vbox2);
            Gtk.Notebook.NotebookChild w43 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.vbox2]));
            w43.Position = 1;
            // Notebook tab
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Files");
            this.notebook1.SetTabLabel(this.vbox2, this.label2);
            this.label2.ShowAll();
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            this.vbox4.BorderWidth = ((uint)(6));
            // Container child vbox4.Gtk.Box+BoxChild
            this.cbKeepRefSync = new Gtk.CheckButton();
            this.cbKeepRefSync.CanFocus = true;
            this.cbKeepRefSync.Name = "cbKeepRefSync";
            this.cbKeepRefSync.Label = Mono.Unix.Catalog.GetString("Enable references synchronization");
            this.cbKeepRefSync.DrawIndicator = true;
            this.vbox4.Add(this.cbKeepRefSync);
            Gtk.Box.BoxChild w44 = ((Gtk.Box.BoxChild)(this.vbox4[this.cbKeepRefSync]));
            w44.Position = 0;
            w44.Expand = false;
            w44.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hseparator5 = new Gtk.HSeparator();
            this.hseparator5.Name = "hseparator5";
            this.vbox4.Add(this.hseparator5);
            Gtk.Box.BoxChild w45 = ((Gtk.Box.BoxChild)(this.vbox4[this.hseparator5]));
            w45.Position = 1;
            w45.Expand = false;
            w45.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.table4 = new Gtk.Table(((uint)(8)), ((uint)(3)), false);
            this.table4.Name = "table4";
            this.table4.RowSpacing = ((uint)(6));
            this.table4.ColumnSpacing = ((uint)(6));
            // Container child table4.Gtk.Table+TableChild
            this.cbAutotoolsProject = new Gtk.CheckButton();
            this.cbAutotoolsProject.CanFocus = true;
            this.cbAutotoolsProject.Name = "cbAutotoolsProject";
            this.cbAutotoolsProject.Label = Mono.Unix.Catalog.GetString("Look for packages in configure.in");
            this.cbAutotoolsProject.DrawIndicator = true;
            this.table4.Add(this.cbAutotoolsProject);
            Gtk.Table.TableChild w46 = ((Gtk.Table.TableChild)(this.table4[this.cbAutotoolsProject]));
            w46.TopAttach = ((uint)(6));
            w46.BottomAttach = ((uint)(7));
            w46.RightAttach = ((uint)(3));
            w46.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.comboAsmRefVar = Gtk.ComboBox.NewText();
            this.comboAsmRefVar.WidthRequest = 200;
            this.comboAsmRefVar.Name = "comboAsmRefVar";
            this.table4.Add(this.comboAsmRefVar);
            Gtk.Table.TableChild w47 = ((Gtk.Table.TableChild)(this.table4[this.comboAsmRefVar]));
            w47.TopAttach = ((uint)(3));
            w47.BottomAttach = ((uint)(4));
            w47.LeftAttach = ((uint)(1));
            w47.RightAttach = ((uint)(2));
            w47.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.comboGacRefVar = Gtk.ComboBox.NewText();
            this.comboGacRefVar.WidthRequest = 200;
            this.comboGacRefVar.Name = "comboGacRefVar";
            this.table4.Add(this.comboGacRefVar);
            Gtk.Table.TableChild w48 = ((Gtk.Table.TableChild)(this.table4[this.comboGacRefVar]));
            w48.TopAttach = ((uint)(2));
            w48.BottomAttach = ((uint)(3));
            w48.LeftAttach = ((uint)(1));
            w48.RightAttach = ((uint)(2));
            w48.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.comboProjectRefVar = Gtk.ComboBox.NewText();
            this.comboProjectRefVar.WidthRequest = 200;
            this.comboProjectRefVar.Name = "comboProjectRefVar";
            this.table4.Add(this.comboProjectRefVar);
            Gtk.Table.TableChild w49 = ((Gtk.Table.TableChild)(this.table4[this.comboProjectRefVar]));
            w49.TopAttach = ((uint)(4));
            w49.BottomAttach = ((uint)(5));
            w49.LeftAttach = ((uint)(1));
            w49.RightAttach = ((uint)(2));
            w49.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.entryAsmRefPattern = new Gtk.Entry();
            this.entryAsmRefPattern.CanFocus = true;
            this.entryAsmRefPattern.Name = "entryAsmRefPattern";
            this.entryAsmRefPattern.IsEditable = true;
            this.entryAsmRefPattern.InvisibleChar = '●';
            this.table4.Add(this.entryAsmRefPattern);
            Gtk.Table.TableChild w50 = ((Gtk.Table.TableChild)(this.table4[this.entryAsmRefPattern]));
            w50.TopAttach = ((uint)(3));
            w50.BottomAttach = ((uint)(4));
            w50.LeftAttach = ((uint)(2));
            w50.RightAttach = ((uint)(3));
            w50.XOptions = ((Gtk.AttachOptions)(4));
            w50.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.entryGacRefPattern = new Gtk.Entry();
            this.entryGacRefPattern.CanFocus = true;
            this.entryGacRefPattern.Name = "entryGacRefPattern";
            this.entryGacRefPattern.IsEditable = true;
            this.entryGacRefPattern.InvisibleChar = '●';
            this.table4.Add(this.entryGacRefPattern);
            Gtk.Table.TableChild w51 = ((Gtk.Table.TableChild)(this.table4[this.entryGacRefPattern]));
            w51.TopAttach = ((uint)(2));
            w51.BottomAttach = ((uint)(3));
            w51.LeftAttach = ((uint)(2));
            w51.RightAttach = ((uint)(3));
            w51.XOptions = ((Gtk.AttachOptions)(4));
            w51.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.entryProjectRefPattern = new Gtk.Entry();
            this.entryProjectRefPattern.CanFocus = true;
            this.entryProjectRefPattern.Name = "entryProjectRefPattern";
            this.entryProjectRefPattern.IsEditable = true;
            this.entryProjectRefPattern.InvisibleChar = '●';
            this.table4.Add(this.entryProjectRefPattern);
            Gtk.Table.TableChild w52 = ((Gtk.Table.TableChild)(this.table4[this.entryProjectRefPattern]));
            w52.TopAttach = ((uint)(4));
            w52.BottomAttach = ((uint)(5));
            w52.LeftAttach = ((uint)(2));
            w52.RightAttach = ((uint)(3));
            w52.XOptions = ((Gtk.AttachOptions)(4));
            w52.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.fileEntryConfigureInPath = new MonoDevelop.Components.FolderEntry();
            this.fileEntryConfigureInPath.Name = "fileEntryConfigureInPath";
            this.table4.Add(this.fileEntryConfigureInPath);
            Gtk.Table.TableChild w53 = ((Gtk.Table.TableChild)(this.table4[this.fileEntryConfigureInPath]));
            w53.TopAttach = ((uint)(7));
            w53.BottomAttach = ((uint)(8));
            w53.LeftAttach = ((uint)(1));
            w53.RightAttach = ((uint)(3));
            w53.XOptions = ((Gtk.AttachOptions)(4));
            w53.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.hseparator1 = new Gtk.HSeparator();
            this.hseparator1.Name = "hseparator1";
            this.table4.Add(this.hseparator1);
            Gtk.Table.TableChild w54 = ((Gtk.Table.TableChild)(this.table4[this.hseparator1]));
            w54.TopAttach = ((uint)(5));
            w54.BottomAttach = ((uint)(6));
            w54.RightAttach = ((uint)(3));
            w54.XOptions = ((Gtk.AttachOptions)(4));
            w54.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.label6 = new Gtk.Label();
            this.label6.WidthRequest = 500;
            this.label6.Name = "label6";
            this.label6.Xalign = 0F;
            this.label6.LabelProp = Mono.Unix.Catalog.GetString("Select the kind of references you want to synchronize with the makefile. For each reference type please specify the makefile variable that holds the list, and optionally a prefix to be prepended to each reference name. You can specify the same variable name for several types of references.");
            this.label6.Wrap = true;
            this.table4.Add(this.label6);
            Gtk.Table.TableChild w55 = ((Gtk.Table.TableChild)(this.table4[this.label6]));
            w55.RightAttach = ((uint)(3));
            w55.YPadding = ((uint)(9));
            w55.XOptions = ((Gtk.AttachOptions)(4));
            w55.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblAsmRef = new Gtk.Label();
            this.lblAsmRef.Name = "lblAsmRef";
            this.lblAsmRef.Xalign = 0F;
            this.lblAsmRef.LabelProp = Mono.Unix.Catalog.GetString("Assembly References");
            this.table4.Add(this.lblAsmRef);
            Gtk.Table.TableChild w56 = ((Gtk.Table.TableChild)(this.table4[this.lblAsmRef]));
            w56.TopAttach = ((uint)(3));
            w56.BottomAttach = ((uint)(4));
            w56.XOptions = ((Gtk.AttachOptions)(4));
            w56.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblCol5 = new Gtk.Label();
            this.lblCol5.Name = "lblCol5";
            this.lblCol5.Xalign = 0F;
            this.lblCol5.LabelProp = Mono.Unix.Catalog.GetString("Makefile variable name:");
            this.table4.Add(this.lblCol5);
            Gtk.Table.TableChild w57 = ((Gtk.Table.TableChild)(this.table4[this.lblCol5]));
            w57.TopAttach = ((uint)(1));
            w57.BottomAttach = ((uint)(2));
            w57.LeftAttach = ((uint)(1));
            w57.RightAttach = ((uint)(2));
            w57.XOptions = ((Gtk.AttachOptions)(4));
            w57.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblCol6 = new Gtk.Label();
            this.lblCol6.Name = "lblCol6";
            this.lblCol6.Xalign = 0F;
            this.lblCol6.LabelProp = Mono.Unix.Catalog.GetString("Prefix:");
            this.table4.Add(this.lblCol6);
            Gtk.Table.TableChild w58 = ((Gtk.Table.TableChild)(this.table4[this.lblCol6]));
            w58.TopAttach = ((uint)(1));
            w58.BottomAttach = ((uint)(2));
            w58.LeftAttach = ((uint)(2));
            w58.RightAttach = ((uint)(3));
            w58.XOptions = ((Gtk.AttachOptions)(4));
            w58.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblConfigureInPath = new Gtk.Label();
            this.lblConfigureInPath.Name = "lblConfigureInPath";
            this.lblConfigureInPath.Xalign = 0F;
            this.lblConfigureInPath.LabelProp = Mono.Unix.Catalog.GetString("Path for configure.in");
            this.table4.Add(this.lblConfigureInPath);
            Gtk.Table.TableChild w59 = ((Gtk.Table.TableChild)(this.table4[this.lblConfigureInPath]));
            w59.TopAttach = ((uint)(7));
            w59.BottomAttach = ((uint)(8));
            w59.XOptions = ((Gtk.AttachOptions)(4));
            w59.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblGacRef = new Gtk.Label();
            this.lblGacRef.Name = "lblGacRef";
            this.lblGacRef.Xalign = 0F;
            this.lblGacRef.LabelProp = Mono.Unix.Catalog.GetString("Package References");
            this.table4.Add(this.lblGacRef);
            Gtk.Table.TableChild w60 = ((Gtk.Table.TableChild)(this.table4[this.lblGacRef]));
            w60.TopAttach = ((uint)(2));
            w60.BottomAttach = ((uint)(3));
            w60.XOptions = ((Gtk.AttachOptions)(4));
            w60.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.lblProjectRef = new Gtk.Label();
            this.lblProjectRef.Name = "lblProjectRef";
            this.lblProjectRef.Xalign = 0F;
            this.lblProjectRef.LabelProp = Mono.Unix.Catalog.GetString("Project References");
            this.table4.Add(this.lblProjectRef);
            Gtk.Table.TableChild w61 = ((Gtk.Table.TableChild)(this.table4[this.lblProjectRef]));
            w61.TopAttach = ((uint)(4));
            w61.BottomAttach = ((uint)(5));
            w61.XOptions = ((Gtk.AttachOptions)(4));
            w61.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox4.Add(this.table4);
            Gtk.Box.BoxChild w62 = ((Gtk.Box.BoxChild)(this.vbox4[this.table4]));
            w62.Position = 2;
            w62.Expand = false;
            w62.Fill = false;
            this.notebook1.Add(this.vbox4);
            Gtk.Notebook.NotebookChild w63 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.vbox4]));
            w63.Position = 2;
            // Notebook tab
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("References");
            this.notebook1.SetTabLabel(this.vbox4, this.label3);
            this.label3.ShowAll();
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.BorderWidth = ((uint)(6));
            // Container child vbox3.Gtk.Box+BoxChild
            this.label7 = new Gtk.Label();
            this.label7.WidthRequest = 500;
            this.label7.Name = "label7";
            this.label7.Xalign = 0F;
            this.label7.LabelProp = Mono.Unix.Catalog.GetString("Select the Compiler message format for parsing the compiler errors and warnings. You can either select one of the built-in options, or specify custom regular expressions for errors and warnings. The regex must be the .net style regex. The following named groups are relevant : file, line, column, number (error number) and message.");
            this.label7.Wrap = true;
            this.label7.Justify = ((Gtk.Justification)(3));
            this.vbox3.Add(this.label7);
            Gtk.Box.BoxChild w64 = ((Gtk.Box.BoxChild)(this.vbox3[this.label7]));
            w64.Position = 0;
            w64.Expand = false;
            w64.Fill = false;
            w64.Padding = ((uint)(6));
            // Container child vbox3.Gtk.Box+BoxChild
            this.table2 = new Gtk.Table(((uint)(3)), ((uint)(3)), false);
            this.table2.Name = "table2";
            this.table2.RowSpacing = ((uint)(6));
            this.table2.ColumnSpacing = ((uint)(6));
            // Container child table2.Gtk.Table+TableChild
            this.entryErrorRegex = new Gtk.Entry();
            this.entryErrorRegex.WidthRequest = 350;
            this.entryErrorRegex.CanFocus = true;
            this.entryErrorRegex.Name = "entryErrorRegex";
            this.entryErrorRegex.IsEditable = true;
            this.entryErrorRegex.InvisibleChar = '●';
            this.table2.Add(this.entryErrorRegex);
            Gtk.Table.TableChild w65 = ((Gtk.Table.TableChild)(this.table2[this.entryErrorRegex]));
            w65.TopAttach = ((uint)(1));
            w65.BottomAttach = ((uint)(2));
            w65.LeftAttach = ((uint)(1));
            w65.RightAttach = ((uint)(3));
            w65.XOptions = ((Gtk.AttachOptions)(4));
            w65.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.entryWarningRegex = new Gtk.Entry();
            this.entryWarningRegex.WidthRequest = 350;
            this.entryWarningRegex.CanFocus = true;
            this.entryWarningRegex.Name = "entryWarningRegex";
            this.entryWarningRegex.IsEditable = true;
            this.entryWarningRegex.InvisibleChar = '●';
            this.table2.Add(this.entryWarningRegex);
            Gtk.Table.TableChild w66 = ((Gtk.Table.TableChild)(this.table2[this.entryWarningRegex]));
            w66.TopAttach = ((uint)(2));
            w66.BottomAttach = ((uint)(3));
            w66.LeftAttach = ((uint)(1));
            w66.RightAttach = ((uint)(3));
            w66.XOptions = ((Gtk.AttachOptions)(4));
            w66.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.hbox6 = new Gtk.HBox();
            this.hbox6.Name = "hbox6";
            // Container child hbox6.Gtk.Box+BoxChild
            this.comboMessageType = Gtk.ComboBox.NewText();
            this.comboMessageType.WidthRequest = 150;
            this.comboMessageType.Name = "comboMessageType";
            this.hbox6.Add(this.comboMessageType);
            Gtk.Box.BoxChild w67 = ((Gtk.Box.BoxChild)(this.hbox6[this.comboMessageType]));
            w67.Position = 0;
            w67.Expand = false;
            w67.Fill = false;
            this.table2.Add(this.hbox6);
            Gtk.Table.TableChild w68 = ((Gtk.Table.TableChild)(this.table2[this.hbox6]));
            w68.LeftAttach = ((uint)(1));
            w68.RightAttach = ((uint)(2));
            w68.XOptions = ((Gtk.AttachOptions)(4));
            w68.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.lblErrorRegex = new Gtk.Label();
            this.lblErrorRegex.Name = "lblErrorRegex";
            this.lblErrorRegex.Xalign = 0F;
            this.lblErrorRegex.LabelProp = Mono.Unix.Catalog.GetString("Error regex :");
            this.table2.Add(this.lblErrorRegex);
            Gtk.Table.TableChild w69 = ((Gtk.Table.TableChild)(this.table2[this.lblErrorRegex]));
            w69.TopAttach = ((uint)(1));
            w69.BottomAttach = ((uint)(2));
            w69.XOptions = ((Gtk.AttachOptions)(4));
            w69.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.lblMessageType = new Gtk.Label();
            this.lblMessageType.Name = "lblMessageType";
            this.lblMessageType.Xalign = 0F;
            this.lblMessageType.LabelProp = Mono.Unix.Catalog.GetString("Compiler :");
            this.table2.Add(this.lblMessageType);
            Gtk.Table.TableChild w70 = ((Gtk.Table.TableChild)(this.table2[this.lblMessageType]));
            w70.XOptions = ((Gtk.AttachOptions)(4));
            w70.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.lblWarningRegex = new Gtk.Label();
            this.lblWarningRegex.Name = "lblWarningRegex";
            this.lblWarningRegex.Xalign = 0F;
            this.lblWarningRegex.LabelProp = Mono.Unix.Catalog.GetString("Warnings regex :");
            this.table2.Add(this.lblWarningRegex);
            Gtk.Table.TableChild w71 = ((Gtk.Table.TableChild)(this.table2[this.lblWarningRegex]));
            w71.TopAttach = ((uint)(2));
            w71.BottomAttach = ((uint)(3));
            w71.XOptions = ((Gtk.AttachOptions)(4));
            w71.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox3.Add(this.table2);
            Gtk.Box.BoxChild w72 = ((Gtk.Box.BoxChild)(this.vbox3[this.table2]));
            w72.Position = 1;
            this.notebook1.Add(this.vbox3);
            Gtk.Notebook.NotebookChild w73 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.vbox3]));
            w73.Position = 3;
            // Notebook tab
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("Messages Regex");
            this.notebook1.SetTabLabel(this.vbox3, this.label4);
            this.label4.ShowAll();
            this.Add(this.notebook1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.comboAssemblyName.Hide();
            this.comboOutputDir.Hide();
            this.lblAssemblyNameVar.Hide();
            this.lblOutputDirVar.Hide();
            this.Show();
            this.cbEnableMakefileIntegration.Clicked += new System.EventHandler(this.OnEnableMakefileIntegrationClicked);
            this.fileEntryMakefilePath.FocusOutEvent += new Gtk.FocusOutEventHandler(this.OnFileEntryMakefilePathFocusOutEvent);
            this.cbRunTarget.Clicked += new System.EventHandler(this.OnCbRunTargetClicked);
            this.cbCleanTarget.Clicked += new System.EventHandler(this.OnCbCleanTargetClicked);
            this.cbBuildTarget.Clicked += new System.EventHandler(this.OnCbBuildTargetClicked);
            this.cbFileSync.Clicked += new System.EventHandler(this.OnCbFileSyncClicked);
            this.comboResourcesVar.Changed += new System.EventHandler(this.OnComboResourcesVarChanged);
            this.cbKeepResourcesSync.Clicked += new System.EventHandler(this.OnCbKeepResourcesSyncClicked);
            this.cbKeepOthersSync.Clicked += new System.EventHandler(this.OnCbKeepOthersSyncClicked);
            this.cbKeepFilesSync.Clicked += new System.EventHandler(this.OnCbKeepFilesSyncClicked);
            this.cbKeepDeployFilesSync.Clicked += new System.EventHandler(this.OnCbKeepDeployFilesSyncClicked);
            this.cbKeepRefSync.Clicked += new System.EventHandler(this.OnCbKeepRefSyncClicked);
            this.comboProjectRefVar.Changed += new System.EventHandler(this.OnComboProjectRefVarChanged);
            this.comboGacRefVar.Changed += new System.EventHandler(this.OnComboGacRefVarChanged);
            this.comboAsmRefVar.Changed += new System.EventHandler(this.OnComboAsmRefVarChanged);
            this.cbAutotoolsProject.Clicked += new System.EventHandler(this.OnCbAutotoolsProjectClicked);
            this.comboMessageType.Changed += new System.EventHandler(this.OnComboMessageTypeChanged);
        }
    }
}
